#ifndef KERNELSOLVER_H
  #define KERNELSOLVER_H

  #include <bits/stdc++.h>
  using namespace std;

  #include <cuda_runtime.h>
  #include <cublas_v2.h>

  #define REP(i, n) for(int i = 0; i < n; i++)

  void processInitialization(double *&matrix, int n);
  void processTermination(double *matrix);

  float solve(double *matrix, int n);
#endif
